%{?nodejs_find_provides_and_requires}

# many packages are not in Fedora
%global enable_tests 0
%global packagename he

Name:       nodejs-%{packagename}
Version:    1.1.1
Release:    7%{?dist}
Summary:    A robust HTML entity encoder/decoder written in JavaScript
License:    MIT
URL:        https://github.com/mathiasbynens/%{packagename}
Source0:    https://github.com/mathiasbynens/%{packagename}/archive/v%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(codecov.io)
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-shell)
BuildRequires:  npm(grunt-template)
BuildRequires:  npm(jsesc)
BuildRequires:  npm(lodash)
BuildRequires:  npm(qunitjs)
BuildRequires:  nodejs-qunit-extras
BuildRequires:  npm(regenerate)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(sort-object)
%endif

%description
he (for “HTML entities”) is a robust HTML entity encoder/decoder written in
JavaScript. It supports all standardized named character references as per HTML,
handles ambiguous ampersands and other edge cases just like a browser would,
has an extensive test suite, and — contrary to many other JavaScript solutions
— he handles astral Unicode symbols just fine. 

%prep
%autosetup -n %{packagename}-%{version}

# remove shebang
sed -i '1s/env //' bin/he

# Avoid dependency on phantomjs binary
rm -f scripts/scrape-spec.js

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bower.json component.json *.js \
    src bin data scripts \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{packagename}/bin/%{packagename} %{buildroot}%{_bindir}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node tests/tests.js
grunt build
%endif

%files
%doc README.md  
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}
%{_bindir}/he

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 02 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-4
- Add missing bin directory

* Thu May 04 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-3
- Avoid dependency on phantomjs binary

* Wed May 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-2
- Fix rpmlint warning

* Fri Apr 28 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-1
- initial package
